<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejemplo 2</title>
	<script type="text/javascript">

		window.addEventListener("load", function(e){

			let botones=document.querySelectorAll("button");

			for (let i = 0; i < botones.length; i++) {
				botones[i].addEventListener("click", fucntion(e))
			}

			document.querySelector("#uno").addEventListener("click", function(e){
				document.querySelector("#caja").value+=1;
			});
			document.querySelector("#dos").addEventListener("click",function(e){
				document.querySelector("#caja").value+=2;
			});
			document.querySelector("#tres").addEventListener("click",function(e){
				document.querySelector("#caja").value+=3;
			});
			document.querySelector("#clear").addEventListener("click",function(e){
				document.querySelector("#caja").value="";
			});
		});

	</script>
</head>
<body>

	<button type="button" id="uno">1</button>
	<button type="button" id="dos">2</button>
	<button type="button" id="tres">3</button>
	<input id="caja">
	<button type="button" id="clear">C</button>
	
</body>
</html>